## org.omg.CORBA.ContainerPackage
Class DescriptionSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ContainerPackage.DescriptionSeqHelper

public class DescriptionSeqHelper
extends java.lang.Object

Helper class for : DescriptionSeq

Author:
  OpenORB Compiler

Constructor Summary
`DescriptionSeqHelper()`

Method Summary
`static Description[]` `extract(Any a)` Extract DescriptionSeq from an any
`static java.lang.String` `id()` Return the DescriptionSeq IDL ID
`static void` `insert(Any a, Description[] t)` Insert DescriptionSeq into an any
`static Description[]` `read(InputStream istream)` Read DescriptionSeq from a marshalled stream
`static TypeCode` `type()` Return the DescriptionSeq TypeCode
`static void` `write(OutputStream ostream, Description[] value)` Write DescriptionSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescriptionSeqHelper

    public DescriptionSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Description[] t)

  Insert DescriptionSeq into an any
  Parameters:
    `a` - an any
    `t` - DescriptionSeq value

### extract

    public static Description[] extract(Any a)

  Extract DescriptionSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DescriptionSeq value

### type

    public static TypeCode type()

  Return the DescriptionSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DescriptionSeq IDL ID
  Returns:
    an ID

### read

    public static Description[] read(InputStream istream)

  Read DescriptionSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DescriptionSeq value

### write

    public static void write(OutputStream ostream,
                             Description[] value)

  Write DescriptionSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DescriptionSeq value